Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: The network services are not compatible with this version?

  1. #1

    Default The network services are not compatible with this version?

    In the next few days I will probably/hopefully have numerous questions about openSuse 12.3 and this statement may accompany each as a preamble/postscript to pre-empt anyone suggesting I try 13.1 - I have and would refer you to Soapbox for my appraisal!

    The question -

    During the live session, the internet connection was fine. During first boot after installation the system did an automatic update with no complaint. It even did another minor update on second boot.

    However, when launch FF - no connection. There is no network icon in the system tray so launch "Network Connection" but although it currently has a choice of wired or wireless all dialogues are greyed out and the message

    The network services are not compatible with this version.
    in a pop-up.

    Until this is resolved there's no point to further questions!

    I haven't described the h/w because I feel the problem lies elsewhere, especially with it being fine from liveusb and a wire connection available?

  2. #2

    Default Re: The network services are not compatible with this version?

    Quote Originally Posted by TenderFoot View Post
    In the next few days I will probably/hopefully have numerous questions about openSuse 12.3 and this statement may accompany each as a preamble/postscript to pre-empt anyone suggesting I try 13.1 - I have and would refer you to Soapbox for my appraisal!

    The question -

    During the live session, the internet connection was fine. During first boot after installation the system did an automatic update with no complaint. It even did another minor update on second boot.

    However, when launch FF - no connection. There is no network icon in the system tray so launch "Network Connection" but although it currently has a choice of wired or wireless all dialogues are greyed out and the message


    in a pop-up.

    Until this is resolved there's no point to further questions!

    I haven't described the h/w because I feel the problem lies elsewhere, especially with it being fine from liveusb and a wire connection available?
    There's a bug in 12.3 that makes you having to reboot once for the network to work, see the release notes.

    Also that Network management applet only works when NetworkManager is running, but the default on a desktop PC is to use ifup.
    So enter YaST->Network Devices->Network Settings and enable NetworkManager on the "Global Options" tab.

  3. #3

    Default Re: The network services are not compatible with this version?

    Thanks

    So enter YaST->Network Devices->Network Settings and enable NetworkManager on the "Global Options" tab.
    Sort of sorted. FF connected but haven't yet tested whether wifi is working by severing the umbilical!

    [Previosly had not responded even after reboots]

  4. #4

    Default Re: The network services are not compatible with this version?

    Quote Originally Posted by TenderFoot View Post
    [Previosly had not responded even after reboots]
    Well, there was another issue that could cause the network.service not to be correctly enabled or _both_ ifup and NetworkManager being used which of course also leads to problems.

    With going to YaST and switching to NetworkManager you would have fixed that.
    You should also be able to switch back again to ifup if you want to and still have a working network connection.

  5. #5
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: The network services are not compatible with this version?

    On 2013-11-26 18:46, TenderFoot wrote:
    > However, when launch FF - no connection.


    Did you read the release notes? Because it is there.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 12.3 x86_64 "Dartmouth" at Telcontar)

  6. #6

    Unhappy Re: The network services are not compatible with this version?

    Quote Originally Posted by robin_listas View Post
    On 2013-11-26 18:46, TenderFoot wrote:
    > However, when launch FF - no connection.


    Did you read the release notes? Because it is there.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 12.3 x86_64 "Dartmouth" at Telcontar)
    I have read the notes, but saw nothing relevant or useful. Where is it hidden?

  7. #7

    Default Re: The network services are not compatible with this version?

    Quote Originally Posted by jmiac View Post
    I have read the notes, but saw nothing relevant or useful. Where is it hidden?
    And which openSUSE version are you using?
    And what is _your_ problem actually?

    And why are you jumping in on a thread that's 3 months old with such a question?

    Btw, the relevant sections of the release notes would be one of those depending on your openSUSE version:
    https://doc.opensuse.org/release-not...temd-networkif
    https://www.suse.com/releasenotes/x8...47462154155264
    https://www.suse.com/releasenotes/x8...123.systemd-nm

  8. #8

    Default Re: The network services are not compatible with this version?

    Quote Originally Posted by jmiac View Post
    I have read the notes, but saw nothing relevant or useful. Where is it hidden?
    I can access opensuse sites, but cannot access mozilla sites; I can reach google.ie, but it generally stops there. No ebay from google offerings. What is the problem?

  9. #9

    Default Re: The network services are not compatible with this version?

    Quote Originally Posted by jmiac View Post
    I can access opensuse sites, but cannot access mozilla sites; I can reach google.ie, but it generally stops there. No ebay from google offerings. What is the problem?
    Please open a new thread about your problem and provide more information, like the openSUSE version at least.

    Your problem seems to be DNS-related though I would guess. Can you reach google via ping?
    Code:
    ping 8.8.8.8
    Or mozilla.org?
    Code:
    ping 63.245.215.20
    Then try with the host name:
    Code:
    ping mozilla.org
    and post the result of all of this, but preferrably in a new thread.

  10. #10

    Default Re: The network services are not compatible with this version?

    Quote Originally Posted by jmiac View Post
    I can access opensuse sites, but cannot access mozilla sites; I can reach google.ie, but it generally stops there. No ebay from google offerings. What is the problem?
    I selected the thread because it seemed relevant.

    Recent suse 13.1 64 bit; installed via boot usb today. Updated ok. Yast says to use 'NetworkManager', but there is no network manager available from the search box.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •